/*
			
			Types
			
*/

typedef struct
		{
			long		black[2],
						white[2],
						gray[2];
			RGBColor	cWhite,
						cLight,
						cDark,
						cBlack,
						cFrameL,
						cFrameD;
		} PatsRec, *PatsPtr;

typedef struct
		{
			Rect		userState,
						stdState;
			Handle		iconCTHandle;
			Boolean		buttonState;
		} WSDRecord, *WSDPointer, **WSDHandle;

/*
			
			Constants
			
*/

#define OSDispatchTrapNum	0x8F
#define UnImplTrapNum		0x9F

#define theWindow			(*(WindowPeek)window)
#define wDataHandle			(**(WSDHandle)theWindow.dataHandle)
#define wCTHandle			wDataHandle.iconCTHandle
#define buttonState			wDataHandle.buttonState
#define zoomFlag			spareFlag
#define auxCTable			(*(*theAuxWin)->awCTable)

#define	colorWindow			0xC000
#define plain				0			/* used to set a text face to plain text */
#define blackHex			0xFFFFFFFF
#define gray1Hex			0x55AA55AA
#define gray2Hex			0xAA55AA55
#define whiteHex			0x00000000


/*
			
			ProtoTypes
			
*/

pascal long main(int variation, WindowPtr window, int message, long parameter);

Boolean MFRunning( void );

RGBColor PackGray(int brightness);

long HitMyWindow(int variation, WindowPtr window, long parameter);

int CalculateMyWindow(int variation, WindowPtr window, long parameter);

int SetupWindow(int variation, WindowPtr window, long parameter);

int KillWindow(int variation, WindowPtr window, long parameter);

int GrowMyWindow(int variation, WindowPtr window, long parameter);

int DrawMyGrowIcon(int variation, WindowPtr window, long parameter);

int DrawFrame(PatsPtr pat, Rect frame, int width, int drawColor);

int DrawPane(PatsPtr pat, Rect thisRect, int drawColor);

int DrawWindowTitle(WindowPtr window, Rect titleRect, PatsPtr pat,
											Boolean hilited, int drawColor);
											
int DrawGoAway(Rect frame, Boolean hilited, int drawColor, Handle theColors);

int DrawZoom(Rect frame, Boolean hilited, int drawColor, Handle theColors);

int DrawOnce(long param, int var, WindowPtr window, Rect windowRect,
												PatsPtr pat, int drawColor);
												
int DrawMyWindow(int var, WindowPtr window, long param);

int PlotSICN(Rect theRect, Ptr theSICN);

int PlotCICN(Rect theRect, Ptr theCICN, Handle theColors);

int CopyRight( void );
